GDB (xrefs)

Enumerations | Functions
/tmp/gdb-8.1/gdb/objfile-flags.h File Reference
`#include "common/enum-flags.h"`

Go to the source code of this file.

## Enumerations
enum | objfile_flag { OBJF_REORDERED = 1 << 0, OBJF_SHARED = 1 << 1, OBJF_READNOW = 1 << 2, OBJF_USERLOADED = 1 << 3, OBJF_PSYMTABS_READ = 1 << 4, OBJF_MAINLINE = 1 << 5, OBJF_NOT_FILENAME = 1 << 6, OBJF_READNEVER = 1 << 7 }

## Functions
| DEF_ENUM_FLAGS_TYPE (enum objfile_flag, objfile_flags)

## Enumeration Type Documentation

## ◆ objfile_flag

enum objfile_flag

Enumerator
OBJF_REORDERED |
OBJF_SHARED |
OBJF_READNOW |
OBJF_USERLOADED |
OBJF_PSYMTABS_READ |
OBJF_MAINLINE |
OBJF_NOT_FILENAME |
OBJF_READNEVER |

Definition at line 28 of file objfile-flags.h.

## Function Documentation

## ◆ DEF_ENUM_FLAGS_TYPE()

DEF_ENUM_FLAGS_TYPE | ( | enum | objfile_flag,
|  | objfile_flags |
| ) |  |